#
# spec file for package python-pywinrm
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-pywinrm
Version:        0.3.0
Release:        lp151.3.1
Summary:        Python library for Windows Remote Management
License:        MIT
Group:          Development/Languages/Python
URL:            http://github.com/diyan/pywinrm/
Source:         https://files.pythonhosted.org/packages/source/p/pywinrm/pywinrm-%{version}.tar.gz
Source1:        https://raw.githubusercontent.com/diyan/pywinrm/master/LICENSE
BuildRequires:  %{python_module mock}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module requests >= 2.9.1}
BuildRequires:  %{python_module requests_ntlm >= 0.3.0}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module six}
BuildRequires:  %{python_module xmltodict}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-requests >= 2.9.1
Requires:       python-requests_ntlm >= 0.3.0
Requires:       python-six
Requires:       python-xmltodict
Suggests:       python-requests-credssp >= 0.0.1
Suggests:       python-requests-kerberos >= 0.10.0
BuildArch:      noarch
%python_subpackages

%description
pywinrm is a Python client for Windows Remote Management (WinRM). This
allows you to invoke commands on target Windows machines from any
machine that can run Python.

WinRM allows you to call native objects in Windows. This includes, but
is not limited to, running batch scripts, powershell scripts and
fetching WMI variables. For more information on WinRM, please visit
Microsoft's WinRM http://msdn.microsoft.com/en-us/library/aa384426.aspx

%prep
%setup -q -n pywinrm-%{version}
# FIXME - License should be included in the pypi tarball
cp %{SOURCE1} .

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_exec setup.py test

%files %{python_files}
%license LICENSE
%doc README.md
%{python_sitelib}/*

%changelog
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Thu Apr  5 2018 mardnh@gmx.de
- Upgrade to version 0.3.0
  * Added support for message encryption over HTTP when using NTLM/Kerberos/CredSSP
  * Added parameter to disable TLSv1.2 when using CredSSP for Server 2008 support
  * Error detail from SOAP fault (if present) is now included with HTTP 500 errors
  * Fixed CA path override (incl envvar)
  * Fixed Kerberos service override
  * Try harder to suppress urllib3 InsecureRequestWarnings on various OSs
  * Fixed timeout values to parse correctly if passed as strings
  * Various updates to CI/tests
- Convert to singlespec
* Wed Mar  8 2017 boris@steki.net
- upgraded to pypi released source 0.2.2
  + Added support for CredSSP authenication (via requests-credssp)
  + Improved README, see 'Valid transport options' section
  + Run unit tests on Linux / Travis CI on Python 2.6-2.7, 3.3-3.6, PyPy2
  + Run integration tests on Windows / AppVeyor on Python 2.7, 3.3-3.5
  + Drop support for Python 3.0-3.2 due to lack of explicit unicode literal, see pep-0414
  + Drop support for Python 2.6 on Windows
  + Add support for Python 3.6-dev on Linux
  + Force basic auth header to avoid additional HTTP request and reduce latency
  + Python 2.7.9+. Allow server cert validation to be ignored using SSLContext.verify_mode
  + Tests. Enable Python 3.4, 3.5 on Travis CI
  + Use xmltodict instead of not supported xmlwitch
  + Add certificate authentication support
  + Setup PyPI classifiers
  + Fix. Include UUID when sending request
  + Fix. Python 2.6.6/CentOS. Use tuples instead of lists in setup.py
  + Fix. Python 2.6. String formatting
  + Handle unauthorized response and raise UnauthorizeError
  + Convert different forms of short urls into full well-formed endpoint
  + Add Session.run_ps() helper to execute PowerShell scripts
  + Use pandoc for README.md to rst conversion for PyPI
* Wed Sep 10 2014 boris@steki.net
- initial packaging
